<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>DeMi FSM</title>
    <style>
      body {
        font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto,
          Helvetica Neue, Arial, Noto Sans, Liberation Sans, sans-serif,
          Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
        margin: 0;
      }
      header {
        background-color: #0b80c3;
        color: #fff;
        font-size: 1rem;
        padding: 1rem;
      }
      main {
        padding: 1rem;
      }
      .menu {
        display: inline-block;
        vertical-align: top;
      }
      a {
        text-decoration: none;
      }
      div.site-title {
        display: inline-block;
        padding: 1rem;
      }
      div.logo {
        display: inline-block;
        padding: 1rem;
      }
      .logo {
        float: left;
      }
      .graph {
        display: inline-block;
        vertical-align: bottom;
        padding: 1rem;
      }
    </style>
  </head>
  <body>
    <header>
      <div class="logo">
        <img
          src="/public/ATLAS-Logowhite-big.png"
          alt="ATLAS Logo"
          height="60px"
        />
      </div>
      <div class="site-title">
        <h1>Detector Microservices</h1>
      </div>
    </header>
    <main>
      <div class="menu">
        <h2><a href="/">Finite State Machine Example</a></h2>
        <!-- <div>source: (... soon ...)</div> -->
        <div>
          <ul>
            <li><a href="/health">health</a></li>
            <li><a href="/state">state</a></li>
            <li><a href="/gather">gather</a></li>
            <li><a href="/markup">markup</a>
              |<a href="/markup/graph">graph</a>
              |<a href="/markup/json">JSON</a>
              |<a href="/markup/yaml">YAML</a>
            </li>
            
            <li><a href="/history">history</a></li>
            <li><a href="/shutdown">shutdown</a></li>
          </ul>
          <div>Transition Triggers</div>
          <ul>
            <li><a href="/trigger/probe">probe</a></li>
            <li><a href="/trigger/initialize">initialize</a></li>
            <li><a href="/trigger/configure">configure</a></li>
            <li><a href="/trigger/card-reset">card-reset</a></li>
            <li><a href="/trigger/run">run</a></li>
            <li><a href="/trigger/stop">stop</a></li>
            <li><a href="/trigger/dev-reset">dev-reset</a></li>
          </ul>
        </div>
      </div>
      <div class="graph">
        <img src="/public/graph.png" alt="FSM Graph" width="100%" />
      </div>
    </main>
  </body>
</html>
